LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### origin command

Syntax:

    origin x y z

- x,y,z = origin of a lattice

Examples:

    origin 0.0 0.5 0.5

Description:

Set the origin of the lattice defined by the lattice command. The lattice is used by the create_atoms command to create new atoms and by other commands that use a lattice spacing as a distance measure. This command offsets the origin of the lattice from the (0,0,0) coordinate of the simulation box by some fraction of a lattice spacing in each dimension.

The specified values are in lattice coordinates from 0.0 to 1.0, so that a value of 0.5 means the lattice is displaced 1/2 a cubic cell.

Restrictions: none

Related commands:

lattice, orient

Default:

    origin 0 0 0